Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 87918

Summary: Mounting Compact Flash PC Card Adapter fails with interrupt errors
Product: [Retired] Red Hat Linux Reporter: Jochen Weiss <jweiss1>
Component: kernel-pcmcia-csAssignee: Dave Jones <davej>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: jwa, pfrields, tjko
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-27 04:31:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jochen Weiss 2003-04-03 18:40:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
Upon inserting the compact flash card, the card is briefly recognized but
immediately thereafter about 12-14 interrupt errors appear as the PC card is
attempted to be accessed. The system does not crash, simply the card can not be
mounted. The card worked perfectly fine under RedHat 8.0.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert Compact Flash PC Card (Viking Components CFA 1757)
2. Wait for error messages to appear
3. Try and mount card

    

Actual Results:  Mount fails with errors.

Expected Results:  Card should have been mounted (mount -t vfat /dev/hdc1
/mnt/flash) and should be accessible

Additional info:

Comment 1 Timo Kokkonen 2003-04-06 17:19:50 UTC
I have also noticed similar problem with SimpleTech 256M card
(that worked fine under RH8.0, but is not accessible under RH9).

---
cs: memory probe 0xa0000000-0xa0ffffff: clean.
hde: STI Flash S.1.0, CFA DISK drive
ide2 at 0x100-0x107,0x10e on irq 5
ide-floppy driver 0.99.newide
hde: status error: status=0x20 { DeviceFault }

hde: drive not ready for command
hde: 500400 sectors (256 MB) w/1KiB Cache, CHS=695/15/48
 hde:hde: status error: status=0x20 { DeviceFault }

hde: drive not ready for command
ide2: reset: success
hde: status error: status=0x20 { DeviceFault }

hde: drive not ready for command
ide2: reset: success
hde: status error: status=0x20 { DeviceFault }
....
---

It should be noted that smaller cards (SanDisk 32M & 128M) seem to work but
inserting them also causes errors (cards seem to work though):

---
hde: SanDisk SDCFB-32, CFA DISK drive
ide2 at 0x100-0x107,0x10e on irq 5
ide-floppy driver 0.99.newide
hde: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hde: task_no_data_intr: error=0x04 { DriveStatusError }
hde: 62592 sectors (32 MB) w/1KiB Cache, CHS=489/4/32
 hde: hde1
ide_cs: hde: Vcc = 3.3, Vpp = 0.0
---


Comment 2 James W. Anderson 2003-12-23 22:30:58 UTC
I am getting the exact same problem using a SimpleTech 1GB CF card in
an IBM PcCard adapter.  However, using a 256MB card with the same
adapter works flawlessly.

hde: STI Flash S.1.0, CFA DISK drive
ide2 at 0x100-0x107,0x10e on irq 3
ide-floppy driver 0.99.newide
hde: attached ide-disk driver.
hde: status error: status=0x20 { DeviceFault }

hde: drive not ready for command
hde: 2002896 sectors (1025 MB) w/1KiB Cache, CHS=1987/16/63
hde:hde: status error: status=0x20 { DeviceFault }
...